export function isNodeErr(e: unknown): e is NodeJS.ErrnoException {
    return typeof e === "object" && e !== null && e.hasOwnProperty("code")
}

export function isENOENT(e: unknown): boolean {
    return isNodeErr(e) && e.code === "ENOENT"
}